gstreamer0.10-ffmpeg and how we won't have it for 14.04

Harald Sitter apachelogger at ubuntu.com
Mon Mar 24 13:29:51 UTC 2014


On Mon, Mar 24, 2014 at 2:19 PM, Jonathan Riddell <jr at jriddell.org> wrote:
> On Mon, Mar 24, 2014 at 02:14:22PM +0100, Harald Sitter wrote:
>> On Mon, Mar 24, 2014 at 1:48 PM, Jonathan Riddell <jr at jriddell.org> wrote:
>> > On Mon, Mar 24, 2014 at 12:17:52PM +0100, Harald Sitter wrote:
>> >> gstreamer0.10-ffmpeg was removed from the archive [1] because it does
>> >> not build with libav9 (it retracted the libavformat/url.h header).
>> >
>> > It's replaced with gstreamer1.0-libav so adding gstreamer1.0-libav to
>> > kubuntu-restricted-addons should fix any issues, n'est pas?
>>
>> phonon-gstreamer does not support gstreamer1
>
> aaah, yes

What we could do, but really this would probably be incredibly
irresponsible, is to pack the gstreamer1 working branch of
phonon-gstreamer, according to dvratil it doesn't crash for him and he
was talking about doing an alpha or something to get some more testing
going....

As upstream dev I'd find that somewhat offending, as distro dev it
seems like a not-quite-as-crappy solution. Roll a dice maybe. :P

ALSO, qtwebkit needs to be rebuilt with gst1 support, or without gst
support. ALSO, I think qtmultimedia4 has no gst1 support either...

HS



More information about the kubuntu-devel mailing list